﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;

/// <summary>
/// Summary description for DataLayer
/// </summary>
public class DataLayerProduct
{
    public DataTable GetTable()
    {
        DataTable table = new DataTable("Products");
        table.Columns.Add("ProductID", typeof(int));
        table.Columns.Add("ProductName", typeof(string));
        table.Columns.Add("Category", typeof(string));
        table.Columns.Add("InStock", typeof(bool));
        table.Columns.Add("Price", typeof(decimal));
        table.Columns.Add("Percentage", typeof(decimal));
        for (int i = 0; i < 6; i++)
        {
            table.Rows.Add(i, "Product Name " + i, "Category " + i, true, 10.0 + i, 40 +i);
        }
        for (int i = 6; i < 11; i++)
        {
            table.Rows.Add(i, "Product Name " + i, "Category " + i, false, 10.0 + .01 , 22 + i);
        }
        table.PrimaryKey = new DataColumn[] { table.Columns["ProductID"] };
        return table;
    }

    public DataTable GetTableDropDown()
    {
        DataTable table = new DataTable("ProductsDropDown");
        table.Columns.Add("ProductID", typeof(int));
        table.Columns.Add("ProductName", typeof(string));
        table.Columns.Add("Category", typeof(string));
        for (int i = 0; i < 10; i++)
        {
            table.Rows.Add(i, "Product Name " + i, "Category " + i);
        }
        return table;
    }
}