﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebDataGrid1.DataSource = new DataLayerProduct().GetTable();
    }

    protected void btnExport_Click(object sender, EventArgs e)
    {
        //this.WebDataGrid1.Behaviors.Remove(this.WebDataGrid1.Behaviors.Paging);
        this.WebExcelExporter1.Export(this.WebDataGrid1);
    }

    protected void WebExcelExporter1_CellExporting(object sender, Infragistics.Web.UI.GridControls.ExcelCellExportingEventArgs e)
    {
        if (e.IsSummaryCell && e.Summary != null)
        {
            if (e.Summary.CustomSummaryName == "PriceAverage")
            {
              //  e.WorksheetCell.CellFormat.FormatString = "$0.00";
            }
        }
        //if (e.IsSummaryCell && e.Summary != null)
        //{
        //    if (e.Summary.CustomSummaryName == "CategoryCount")
        //    {
        //        //e.Cancel = true;
        //        e.WorksheetCell.CellFormat.Font.Italic = Infragistics.Documents.Excel.ExcelDefaultableBoolean.True;
        //        e.WorksheetCell.CellFormat.Font.Bold = Infragistics.Documents.Excel.ExcelDefaultableBoolean.False;

        //    }
        //}
    }
    protected void WebExcelExporter1_CellExported(object sender, Infragistics.Web.UI.GridControls.ExcelCellExportedEventArgs e)
    {
        if (e.IsSummaryCell && e.Summary != null)
        {
            if (e.Summary.CustomSummaryName == "CategoryCount")
            {
                //e.Cancel = true;
                e.WorksheetCell.CellFormat.Font.Italic = Infragistics.Documents.Excel.ExcelDefaultableBoolean.True;
                e.WorksheetCell.CellFormat.Font.Bold = Infragistics.Documents.Excel.ExcelDefaultableBoolean.False;
                e.WorksheetCell.CellFormat.Font.ColorInfo = Color.Purple;

            }
            else
            {
                if (e.Summary.CustomSummaryName == "PriceAverage")
                {
                   // e.WorksheetCell.CellFormat.FormatString = "$0.00";
                    string formula = "=\"PriceAverage = $\"&Round(AVERAGE(E2:E12),2)";
                    e.WorksheetCell.ApplyFormula(formula);
                    e.WorksheetCell.CellFormat.Font.ColorInfo = Color.Red;
                    e.WorksheetCell.CellFormat.Font.Italic = Infragistics.Documents.Excel.ExcelDefaultableBoolean.True;
                    e.WorksheetCell.CellFormat.Font.Bold = Infragistics.Documents.Excel.ExcelDefaultableBoolean.False;
                }
                else
                {
                    if (e.Summary.CustomSummaryName == "PercentageMax")
                    {
                        //string percent = "%";
                        //e.WorksheetCell.CellFormat.FormatString = "0.00%";
                        string formula = "=\"PriceAverage = \"&Round(MAX(F2:F12),2)";
                        e.WorksheetCell.ApplyFormula(formula);
                        string cellValue = e.WorksheetCell.Value.ToString();
                        string newCellValue = cellValue + "%";
                        e.WorksheetCell.Value = newCellValue;
                        e.WorksheetCell.CellFormat.Font.ColorInfo = Color.Green;
                        e.WorksheetCell.CellFormat.Font.Italic = Infragistics.Documents.Excel.ExcelDefaultableBoolean.True;
                        e.WorksheetCell.CellFormat.Font.Bold = Infragistics.Documents.Excel.ExcelDefaultableBoolean.False;
                    }
                    else
                    {
                        e.WorksheetCell.CellFormat.Font.Italic = Infragistics.Documents.Excel.ExcelDefaultableBoolean.True;
                        e.WorksheetCell.CellFormat.Font.Bold = Infragistics.Documents.Excel.ExcelDefaultableBoolean.False;
                        e.WorksheetCell.CellFormat.Font.ColorInfo = Color.Blue;
                    }
                }
            }           
        }
    }
}