﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2012, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" Width="100%" 
            AutoGenerateColumns="False">
            <Columns>
                <ig:BoundDataField DataFieldName="ProductID" Key="ProductID">
                    <Header Text="Product ID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ProductName" Key="ProductName">
                    <Header Text="Product Name" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Category" Key="Category">
                    <Header Text="Category" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="InStock" Key="InStock">
                    <Header Text="In Stock" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Price" Key="Price">
                    <Header Text="Price" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Percentage" Key="Percentage">
                    <Header Text="Percentage" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:SummaryRow>
                    <ColumnSummaries>
                        <ig:ColumnSummaryInfo ColumnKey="Category">
                            <Summaries>
                                <ig:Summary CustomSummaryName="CategoryCount" />
                            </Summaries>
                        </ig:ColumnSummaryInfo>
                        <ig:ColumnSummaryInfo ColumnKey="Price">
                            <Summaries>
                                <ig:Summary CustomSummaryName="PriceAverage" SummaryType="Average" />
                            </Summaries>
                        </ig:ColumnSummaryInfo>
                        <ig:ColumnSummaryInfo ColumnKey="Percentage">
                            <Summaries>
                                <ig:Summary CustomSummaryName="PercentageMax" SummaryType="Max" />
                            </Summaries>
                        </ig:ColumnSummaryInfo>
                    </ColumnSummaries>
                    <ColumnSettings>
                        <ig:SummaryRowSetting ColumnKey="Price" FormatString="{0} = {1:C2}">
                        </ig:SummaryRowSetting>
                    </ColumnSettings>
                </ig:SummaryRow>
            </Behaviors>
        </ig:WebDataGrid>
        <ig:WebExcelExporter ID="WebExcelExporter1" runat="server" Visible="true" 
            DownloadName="ExportedData" ExportMode="InBrowser" 
            oncellexported="WebExcelExporter1_CellExported" 
            oncellexporting="WebExcelExporter1_CellExporting">
        </ig:WebExcelExporter>
        <asp:Button ID="btnExport" runat="server" Text="Export Data" 
            onclick="btnExport_Click" />
    </div>
    </form>
</body>
</html>
